<?php defined('SYSPATH') or die('No direct script access.');

class Controller_DeanOffice_Credits extends Controller_UserEnvironment
{
    public function before() {
        // Ставим кук fD, чтоб иметь возможность скачать файл
        Cookie::set('fD', 'true');
        parent::before();
    }

    public function action_index() {
        $disciplines = Model_Faculty::with($this->user->FacultyID)->getDisciplines();

        $list = array();
        foreach ($disciplines as $dis) {
            if ($dis->type == "credit")
                $list[] = $dis;
        }

        // todo: check, does ->execute()[0] && ->execute()['Num'] have same behaviour
        $milestone = Model_Discipline::getMilestone($this->user->FacultyID, $this->user->SemesterID)[0];

        $this->twig->set([
            'DisciplinesList'  => $list,
            'CurrentMilestone' => $milestone,
        ])->set_filename('dean_office/credits');
    }
}